From cb0d857539d2fedc31533390021b600edb906352 Mon Sep 17 00:00:00 2001
From: Tomas Glozar <tglozar@redhat.com>
Date: Wed, 4 Dec 2024 16:40:03 +0100
Subject: [PATCH 1/2] rt-tests: Put variables in test-feature in quotes

test-feature passes several variables (OBJDIR, CFLAGS, CPPFLAGS,
LDFLAGS) to make via a shell command from inside the Makefile. If there
are spaces in either of these, it gets parsed as a second argument
to make and feature detection fails.

Add quotes around the values to prevent them being passed as multiple
arguments.

Signed-off-by: Tomas Glozar <tglozar@redhat.com>
Signed-off-by: John Kacur <jkacur@redhat.com>
---
 feature/test-feature.mak | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/feature/test-feature.mak b/feature/test-feature.mak
index 0b3e51c..aef915a 100644
--- a/feature/test-feature.mak
+++ b/feature/test-feature.mak
@@ -1,5 +1,5 @@
 # SPDX-License-Identifier: GPL-2.0-or-later
 define test-feature
-$(shell $(MAKE) OBJDIR=$(OBJDIR) CFLAGS=$(CFLAGS) CPPFLAGS=$(CPPFLAGS) LDFLAGS=$(LDFLAGS) \
+$(shell $(MAKE) OBJDIR="$(OBJDIR)" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
 -f feature/Makefile feature-$1 clean >/dev/null 2>/dev/null; echo $$?)
 endef
-- 
2.43.5

